Pterodactyldocs
Application locations

Create location

Creates a new location

POST/api/application/locations

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/application/locations" \  -H "Content-Type: application/json" \  -d '{    "short": "GB",    "long": "London Datacenter"  }'
{  "object": "location",  "attributes": {    "id": 3,    "short": "G",    "long": "London Datacenter",    "updated_at": "2020-06-13T20:44:48+00:00",    "created_at": "2020-06-13T20:44:48+00:00"  },  "meta": {    "resource": "https://pterodactyl.file.properties/api/application/locations/3"  }}